Set the Triage settings of your team
curl --request PUT \
--url https://neo.api.projectdiscovery.io/api/v1/triage/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sla_days": {
"critical": 1825,
"high": 1825,
"low": 1825,
"medium": 1825
}
}
'import requests
url = "https://neo.api.projectdiscovery.io/api/v1/triage/settings"
payload = { "sla_days": {
"critical": 1825,
"high": 1825,
"low": 1825,
"medium": 1825
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sla_days: {critical: 1825, high: 1825, low: 1825, medium: 1825}})
};
fetch('https://neo.api.projectdiscovery.io/api/v1/triage/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sla_days": {
"critical": 1825,
"high": 1825,
"low": 1825,
"medium": 1825
}
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}{
"error": "Bad request",
"code": "user_spending_cap_reached",
"error_id": "<string>",
"kind": "forbidden request",
"message": "<string>",
"param": "<string>",
"turnstile_site_key": "<string>"
}Triage
Set the Triage settings of your team
Set the SLA targets of your team, each 1 to 3650 days. Team admins only. Other team settings are kept.
PUT
/
api
/
v1
/
triage
/
settings
Set the Triage settings of your team
Authorizations
BearerAuthApiKeyAuth
JWT authentication token
Body
application/json
The Triage settings of your team.
SLA target in days per severity.
Show child attributes
Show child attributes
Response
The Triage settings of your team after the change
The Triage settings of your team.
SLA target in days per severity.
Show child attributes
Show child attributes

